Subject: Re: [tsvwg] When to use Updates -- was: SCTP NAT support, draft-stewart-natsupp-tsvwg-00
From: "James M. Polk" <[email-masked]>
To: tsvwg <[email-masked]>
Date: Tue, 26 Jan 2010 14:55:00 -0600
List-Id: Transport Area Working Group <tsvwg.ietf.org>

At 02:36 PM 1/26/2010, James M. Polk wrote:
>At 01:52 PM 1/26/2010, Alfred =?hp-roman8?B?SM5uZXM=?= wrote:
>>
>>"Instructions to Request for Comments (RFC) Authors", the
>>"successor of RFC 2223",
>>   <http://www.rfc-editor.org/rfc-editor/instructions2authors.txt>
>>states in Section 2.11:
>>
>>|   Updates
>>|
>>|      Specifies an earlier document whose contents are modified or
>>|      augmented by the new document.  The new document cannot be
>>|      used alone, it can only be used in conjunction with the
>>|      earlier document.
>>
>>That's the current definition, yet apparently not always enforced
>>by the RFC Editor, in order to avoid conflict with the RFC stream
>>"gatekeepers".   :-)
>>
>>IMO, "cannot be used alone, can only be used in conjunction with
>>the earlier document" is a prudently chosen clause specifying a
>>criterion that can be decided upon in a rather objective manner.

I'm going to just focus on this salient part above.

put another way, this is discussing the 
differences between a new doc being dependent or 
independent of the "older" (or base) doc.

Unfortunately -- this doesn't make the case in 
either way to me because any extension to a base 
protocol is therefore an update to that protocol 
because the extension is pointless without the base protocol.

I can easily see one extension to a protocol 
being independent from another extension  to the 
same protocol, but neither extension can work at 
all without the original protocol specification.

 From this, I don't take 
<http://www.rfc-editor.org/rfc-editor/instructions2authors.txt> 
to be very clear on the subject of updates or extensions.

James

>>Best regards,
>>   Alfred HÎnes.
>>
>>+------------------------+--------------------------------------------+
>>| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
>>| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
>>| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
>>+------------------------+--------------------------------------------+